unit EmpfangPrototyp;

interface

uses Forms, Classes, Dialogs, Menus, Hauptfenster{,
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls}
  ;

type
  TEmpfangPrototypForm = class(TForm)
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private-Deklarationen }
  protected
    FensterMenuItem: TMenuItem;
  public
    { Public-Deklarationen }
    procedure NeueNachricht(CANrec: PCANrecord; var FreeMsg: boolean); virtual; // abstract;
    procedure KonfigSichern(WerteListe: TStrings); virtual;
    procedure KonfigLaden(WerteListe: TStrings); virtual;
  end;

implementation

{$R *.dfm}

{ TEmpfangPrototypForm }

procedure TEmpfangPrototypForm.FormCreate(Sender: TObject);
begin
  FensterMenuItem := TMainForm(owner).MenuMDIClientHinzufuegen(self);
end;

procedure TEmpfangPrototypForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  TMainForm(owner).MenuMDIClientEntfernen(FensterMenuItem);
  Action := caFree;
end;

procedure TEmpfangPrototypForm.NeueNachricht(CANrec: PCANrecord; var FreeMsg: boolean);
begin
  ;
end;

procedure TEmpfangPrototypForm.KonfigLaden(WerteListe: TStrings);
begin
  ;
end;

procedure TEmpfangPrototypForm.KonfigSichern(WerteListe: TStrings);
begin
  ;
end;

procedure TEmpfangPrototypForm.FormShow(Sender: TObject);
begin
  self.BringToFront;
  self.WindowState := wsNormal;
end;

end.
