unit Info;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TInfoForm = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    OKBtn: TBitBtn;
    VersionLabel: TLabel;
    LogoImage: TImage;
    Memo: TMemo;
    CheckBox: TCheckBox;
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

implementation

//uses Hauptfenster;

{$R *.dfm}

procedure TInfoForm.FormCreate(Sender: TObject);
var
  Buffer: PChar;
  BufferSize: DWORD;
  p: pointer;
  VersionValue: AnsiString;
begin
//  TMainForm(owner).ButtonImages.GetBitmap(0, OKBtn.Glyph);

  Buffer:=PCHAR('');
  BufferSize := GetFileVersionInfoSize(PChar(Application.ExeName), BufferSize);
  if BufferSize > 0 then
  begin
    try
      GetMem(Buffer,BufferSize);
      GetFileVersionInfo(PChar(Application.ExeName),0,BufferSize,Buffer);
      VerQueryValue(Buffer,'\\VarFileInfo\\Translation',p,BufferSize);
      VersionValue:=IntToHex(LoWord(LongInt(p^)),4)+IntToHex(HiWord(LongInt(p^)),4);
      VerQueryValue(Buffer,PChar('\\StringFileInfo\\'+VersionValue+'\\FileVersion'),p,BufferSize);
      VersionLabel.Caption:=AnsiString(PChar(p));
    finally
      FreeMem(Buffer);
    end;
  end;

  Memo.Lines.LoadFromFile(ExtractFileDir(Application.ExeName) + '\readme.txt');
end;

end.
