unit Protokoll;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, Menus;

type
  TProtokollForm = class(TForm)
    Memo: TRichEdit;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
    FensterMenuItem: TMenuItem;
  public
    { Public-Deklarationen }
  end;

implementation

uses Hauptfenster;

{$R *.dfm}

procedure TProtokollForm.FormCreate(Sender: TObject);
begin
  FensterMenuItem := TMainForm(owner).MenuMDIClientHinzufuegen(self);
end;

procedure TProtokollForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  TMainForm(owner).MenuMDIClientEntfernen(FensterMenuItem);
  TMainForm(owner).ProtokollForm := nil;
  Action := caFree;
end;

procedure TProtokollForm.FormShow(Sender: TObject);
begin
  self.BringToFront;
  self.WindowState := wsNormal;
end;

end.
